Elasticsearch 1.1.1 initialization failed


(Eric Jain) #1

Just tried to upgrade elasticsearch 1.1.0 to 1.1.1 (with the cloud-aws
plugin 2.1.0), and am no longer able to start any nodes:

2014-04-18 01:19:42,754 [INFO] node - [Skywalker] version[1.1.1],
pid[22901], build[f1585f0/2014-04-16T14:27:12Z]
2014-04-18 01:19:42,767 [INFO] node - [Skywalker] initializing ...
2014-04-18 01:19:42,802 [INFO] plugins - [Skywalker] loaded [cloud-aws],
sites []
2014-04-18 01:19:50,019 [ERROR] bootstrap - {1.1.1}: Initialization Failed
...
1)
NoSuchMethodError[org.elasticsearch.gateway.blobstore.BlobStoreGateway.(Lorg/elasticsearch/common/settings/Settings;Lorg/elasticsearch/threadpool/ThreadPool;Lorg/elasticsearch/cluster/ClusterService;)V]

Anyone else see this issue?

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/elasticsearch/d5e85a3a-eac1-4a5e-b16d-69fa825b0ebb%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


(Eric Jain) #2

This issue has been resolved with cloud-aws 2.1.1:

https://github.com/elasticsearch/elasticsearch-cloud-aws/issues/74

On Thursday, April 17, 2014 6:32:05 PM UTC-7, Eric Jain wrote:

Just tried to upgrade elasticsearch 1.1.0 to 1.1.1 (with the cloud-aws
plugin 2.1.0), and am no longer able to start any nodes:

2014-04-18 01:19:42,754 [INFO] node - [Skywalker] version[1.1.1],
pid[22901], build[f1585f0/2014-04-16T14:27:12Z]
2014-04-18 01:19:42,767 [INFO] node - [Skywalker] initializing ...
2014-04-18 01:19:42,802 [INFO] plugins - [Skywalker] loaded [cloud-aws],
sites []
2014-04-18 01:19:50,019 [ERROR] bootstrap - {1.1.1}: Initialization Failed
...
1)
NoSuchMethodError[org.elasticsearch.gateway.blobstore.BlobStoreGateway.(Lorg/elasticsearch/common/settings/Settings;Lorg/elasticsearch/threadpool/ThreadPool;Lorg/elasticsearch/cluster/ClusterService;)V]

Anyone else see this issue?

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/elasticsearch/cb86660c-82d1-4580-8b72-d1e78866a6c3%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


(system) #3